/*
 Theme Name:   4matix2025
 Template:     generatepress
 Description:  Custom GP child theme for 4matix.
 Author:       The Write Design LLC
 Author URI:   https://TheWriteDesign.net
 Version:      1.0.0
*/


/* fit footer to bottom always */

/* base functionality */    
body { display: flex; flex-direction: column; align-items: stretch; height: 100vh; }
.site { flex-grow: 1;}

/* fixes */
body.admin-bar { height: calc(100vh - 35px); } /* for logged in users to not have vertical scrolls */
html { height: fit-content; } /* not supported in some browsers but cannot hurt to fit the root too */
.container.grid-container { width: 100%; } /* fix to allow for container width set in customizer to keep working */



    .site-header .site-logo img {
        position: absolute;
        top: 0px;
        width: 100px;
            z-index:1000;
            margin-bottom:20px;
    }



@media(min-width: 769px) {
    .site-header .site-logo img {
        position: absolute;
        top: 0px;
        width: 200px;
            z-index:1000;
            margin-bottom:30px;
    }
}


.highlight {color:#008FCE; }



h1{
    text-align: center;
    margin-top:40px;
    line-height: 100%;


}
@media(min-width: 769px) {
    h1{
        margin-top:50px;
        line-height: 100%;
    }
}


.modified-date{font-size:.8em}




/*back to top more space to accomodate sticky footer */
.generate-back-to-top,
.generate-back-to-top:visited {
    bottom: 80px; /* 30px from the bottom of your screen */
}


/*adjust line height in customizer without changing line height of nav items 
@media (max-width: 768px){
    .main-navigation .main-nav  ul li a{line-height:50px;}
}*/


/* top bar menu spacing 
.top-bar .widget_nav_menu li {
	margin: 5px 15px;
}*/


/* change background color on hamburger and menu dropdown on mobile 

.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover, .mobile-menu-control-wrapper .menu-toggle:focus, .has-inline-mobile-toggle #site-navigation.toggled  {
     background-color: #0055A5;
     color:#fff !important;
}*/


.mobile-menu-control-wrapper .menu-toggle, .mobile-menu-control-wrapper .menu-toggle:hover, .mobile-menu-control-wrapper .menu-toggle:focus, .has-inline-mobile-toggle #site-navigation.toggled {
    background-color: transparent;
}

/* Styling the testimonial text box */
.bb-testimonials p:first-child {
  background: #f2f2f2;
  border-radius: 5px;
  margin-bottom: 60px;
  padding: 40px;
  position: relative;
}
 
/* Adding the rotated square shape */
.bb-testimonials p:first-child:after {
  background: #f2f2f2;
  height: 40px;
  width: 40px;
  transform: rotate(45deg);
  display: block;
  content: "";
  position: absolute;
  bottom: -20px;  
}
 
/* Style the image thumbnail */
.bb-testimonials img {
  border-radius: 0;
  height: 30px;
  width: auto;
  margin: -10px 20px 0 20px;
}

   .hover-box {
        background-color: #fff; /* Set your initial background color */
        transition: background-color 0.3s ease; /* Smooth transition for the hover effect */
    }

    .hover-box:hover {
        background-color: #f3f3f3; /* Set your desired background color on hover */
    }
